// --------------------------------------------------------------------------------
// This file contains all styles related to the navigation of the site/application.
// --------------------------------------------------------------------------------


.nav {
	margin-bottom: 16px;
}

	.nav__item {
		@include nav-link();
		margin-bottom: 12px;
	}

		.nav__link {
			color: $black;
			text-decoration: none;

			&:hover {
				color: $blue;
				text-decoration: none;
			}
		}

		.nav__link--bordered {
			padding: 12px 24px;
			box-shadow: inset 0 0 0 2px $black;

			&:hover {
				box-shadow: inset 0 0 0 2px $blue;
			}
		}

	.nav__item--active {
		
		.nav__link {
			text-decoration: line-through;
		}
	}


.page--dark {

	.nav__link {
		color: $white;
		
		&:hover {
			color: $white;
			text-decoration: underline;
		}
	}

	.nav__link--bordered {
		box-shadow: inset 0 0 0 2px $white;

		&:hover {
			box-shadow: inset 0 0 0 2px $white;
		}
	}
	
}



/* ==========================================================================
   $MEDIA-QUERIES
   ========================================================================== */


/* MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(medium) {


}



/* SMALL MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(small) {


}



/* SMALLER MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(xsmall) {


}



/* TABLET LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(medium) {


}



/* TABLET LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(medium, large) {


}



/* DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(large) {


}



/* DESKTOP LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(large, xlarge) {


}



/* BIG DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xlarge) {


}



/* BIGER DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xxlarge) {


}




/* ==========================================================================
   $RETINA@2X
   ========================================================================== */

@include device-pixel-ratio(2) {

}



/* ==========================================================================
   $RETINA@3X
   ========================================================================== */

@include device-pixel-ratio(3) {

}
